﻿using System.Text;

namespace RH.ImportGoogleAnalytics
{
	static class Constants
	{
		public const string FieldTitleDisplay = "Country";
		public const string FieldDate = "Date";
		public const string FieldCount = "Count";

		public static string Usage()
		{
			var usageSyntax = new StringBuilder();
			usageSyntax.Append("There was an error while parsing the arguments, please check usage syntax below:\r\n");
			usageSyntax.Append("\r\nParameters:\r\n");

			usageSyntax.Append("WebUrl - specify the Url to a SharePoint site\r\n");
			usageSyntax.Append("ListName - a list in the site (title of the list)\r\n");
			usageSyntax.Append("GoogleLoginName - your account name with Google\r\n");
			usageSyntax.Append("GooglePassword - your Google account password\r\n");
			usageSyntax.Append("GoogleTitle - the title of a website within Google Analytics\r\n");
			usageSyntax.Append("StartDate - optional. If not specified, the last day will be used\r\n");

			usageSyntax.Append("\r\nRH.ImportGoogleAnalytics -WebUrl=http://sharepointurl/weburl -ListName=\"Google Analytics\" -GoogleLoginName=your@email.tld -GooglePassword=YourPassword -GoogleTitle=www.yourdomain.tld [-StartDate=mm.dd.yyyy]");

			return usageSyntax.ToString();
		}
	}
}
